# Create your views here.
from django.shortcuts import render_to_response
from ox.django.shortcuts import render_to_json_response
from django.template import RequestContext
from models import Feature

def search(request):
    d = RequestContext(request, {})
    return render_to_response("search.html", d)

def search_json(request):
    search_term = request.GET.get("search", "")
    bbox = request.GET.get("bbox", False)
    if not bbox:
        return render_to_json_response({'error': 'no bbox parameter'})
    
    bs = bbox.split(",")
    bs_param = (float(bs[0]), float(bs[1]), float(bs[2]), float(bs[3]),)

    features = Feature.search.overlaps(bs_param, text=search_term, srid=3785)
    d = {'c': features.count()}
    return render_to_json_response(d)

def search_related(request):
    d = RequestContext(request, {})
    return render_to_response("search_related.html")

def search_related_json(request):
    d = {}
    return render_to_json_response(d)   
